- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# node_number Class Reference

`#include <node_impl.hpp>`

Inheritance diagram for node_number:

List of all members.

## Public Member Functions
| node_number (number value)
| node_number (std::istream &stream)
number | value () const
## Private Member Functions
virtual void | print_node (std::ostream &stream, int indent) const
virtual number | evaluate_node () const
virtual void | save_node (std::ostream &stream) const
## Private Attributes
number | value_

## Detailed Description

Number data type. Used for numeric literals.

Definition at line 69 of file node_impl.hpp.

## Constructor & Destructor Documentation

node_number::node_number | ( | number | value | ) |

Definition at line 137 of file node_impl.cpp.

    00138 : node_impl(), value_(value)
    00139 {}

node_number::node_number | ( | std::istream & | stream | ) |

Definition at line 141 of file node_impl.cpp.

    00142 : node_impl(), value_(stream)
    00143 {}

## Member Function Documentation

number node_number::value | ( |  | ) | const

Definition at line 145 of file node_impl.cpp.

References value_.

Referenced by evaluate_node(), print_node(), and save_node().

    00147 {
    00148   return value_;
    00149 }

void node_number::print_node | ( | std::ostream & | stream,
|  | int | indent |
| ) |  |  | const`[private, virtual]`

Implements node_impl.

Definition at line 151 of file node_impl.cpp.

References value().

    00153 {
    00154   stream << std::setw(indent) << "" << value() << '\n';
    00155 }

number node_number::evaluate_node | ( |  | ) | const`[private, virtual]`

Implements node_impl.

Definition at line 157 of file node_impl.cpp.

References value().

    00159 {
    00160   return value();
    00161 }

void node_number::save_node | ( | std::ostream & | stream | ) | const`[private, virtual]`

Implements node_impl.

Definition at line 163 of file node_impl.cpp.

References number::save(), and value().

    00165 {
    00166   stream << "number ";
    00167   value().save(stream);
    00168   stream << '\n';
    00169 }

## Member Data Documentation

number node_number::value_`[private]`

Definition at line 79 of file node_impl.hpp.

Referenced by value().

The documentation for this class was generated from the following files:

- node_impl.hpp
- node_impl.cpp